gnat - asis inconsistency 
Author Message
 gnat - asis inconsistency

Hi,
I have problem with gnat and asis.
I instlled winNT version of GNAT 3.14p (20010503) and ASIS version 2.0.R for GNAT 3.14p (20010503).
When I try to check if ASIS is properly installed (following advices in readme file in asis distribution) with assist tool then I received message( at open(lib) step ): command issued in assist) that unhandled exception is raised PPROGRAM_Error due to inconsisten versions of GNAT and ASIS.
But versions and builds for are the same for both (as shown at beginning of the message).
Do anybody can help me!??, please.

Gregory



Sun, 06 Feb 2005 18:18:33 GMT  
 gnat - asis inconsistency

Quote:

> Hi,
> I have problem with gnat and asis.
> I instlled winNT version of GNAT 3.14p (20010503) and ASIS version 2.0.R for GNAT 3.14p (20010503).
> When I try to check if ASIS is properly installed (following advices in readme file in asis distribution) with assist tool then I received message( at open(lib) step ): command issued in assist) that unhandled exception is raised PPROGRAM_Error due to inconsisten versions of GNAT and ASIS.
> But versions and builds for are the same for both (as shown at beginning of the message).
> Do anybody can help me!??, please.

There is a bug in the GNAT ASIS 3.14p distribution, here's a posting on
how to fix it from earlier this year:
(http://groups.google.com/groups?hl=en&lr=&ie=UTF-8&selm=MPG.16d71218c...)

---------------------------------------------------------------------


 Subject: Re: GNAT 3.14.p / ASIS Problems
 Newsgroups: comp.lang.ada
 Date: 2002-02-15 03:40:34 PST

Quote:

> i just installed the latest public gnat (3.14p)
> and asis versions on a win 2000 box. When i try to
> use asis i always get an "inconsistant GNAT/ASIS versions"
> exception. mmmmhhh!

There's a bug (which I have already reported to ACT) in this
ASIS version.

You can correct that yourself:

Open the file gnat\gnatvsn.ads in the ASIS-for-GNAT 3.14p
distribution in your favorite text editor and insert a space
in the Gnat_Version_String after the "3.14p" so that the whole
line reads

   Gnat_Version_String : constant String := "3.14p  (20010503)";

(with *two* spaces in the string literal.)

Then re-install ASIS-for-GNAT.

--
-----------------------------------------------------------------



Sun, 06 Feb 2005 19:25:07 GMT  
 
 [ 2 post ] 

 Relevant Pages 

1. ASIS for gnat

2. GNAT 3.14.p / ASIS Problems

3. ASIS-FOR-GNAT, anyone?

4. ASIS based the Ada rule checking tool gch for GNAT is available

5. Fwd: ASIS for GNAT

6. ASIS-for-GNAT questions...

7. ASIS for GNAT

8. Workshop on ASIS for Ada 95

9. ASIS and macos X.2

10. Asis Queries and Element_LIsts

11. ASIS

12. ASIS and record

 

 
Powered by phpBB® Forum Software